%define fontconfig_major 1
%define lib_name %mklibname %{name} %{fontconfig_major}

%define freetype_version 2.1.7

Summary: Font configuration library
Name: fontconfig
Version: 2.3.2
Release: %mkrel 5
License: MIT
Group: System/X11
Source0: http://fontconfig.org/release/fontconfig-%{version}.tar.bz2
# (fc) 2.3.2-3mdk prefer urw fonts
Source1: 00-mdk-urwfonts.conf
# (fc) 2.3.2-3mdk dualwidth for CJK
Source2: 01-mdk-CJK-dualwidth.conf
# (fc) 2.3.2-3mdk disable antialiasing for some fonts
Source3: 02-mdk-disable-antialias.conf
# (fc) 2.3.2-3mdk disable hinting for some fonts/languages
Source4: 03-mdk-disable-hinting.conf
# (fc) 2.3.2-3mdk  Avoid KDE/QT uses some bitmapped fonts (guisseppe)
Source5: 04-mdk-avoid-bitmap.conf

URL: http://fontconfig.org/
BuildRoot: %{_tmppath}/fontconfig-%{version}-root
# (gb) 2.3.2-5mdk built-in libtool 1.5 fixes, don't bother with aclocal machinery
Patch0: fontconfig-2.3.2-libtool.patch.bz2
# (fc) 2.1-4mdk Blacklist certain fonts that freetype can't handle (rawhide)
Patch5: fontconfig-2.2.98-blacklist.patch.bz2
# (fc) 2.1-4mdk default configuration (rawhide) + (pablo) 2.2-3mdk adds font aliases for various languages
Patch7: fontconfig-2.3.2-defaultconfig.patch.bz2
# (pablo) 2.2.96-7mdk ignore 1,0 (mac-roman) cmap tables, they are
# often not trustable at all.
Patch12: fontconfig-2.2.96-badcmap.patch.bz2
# (fc) 2.3.2-2mdk don't include .rpmnew/.rpmsave/backup files (CVS)
Patch14: fontconfig-2.3.2-includeconf.patch.bz2
Requires(post): %{lib_name}  >= %{version}-%{release}
BuildRequires:	ed
BuildRequires: docbook-utils
BuildRequires: docbook-utils-pdf
BuildRequires: docbook-dtd31-sgml
BuildRequires: docbook-dtd41-sgml
BuildRequires: lynx
BuildRequires: freetype2-devel >= %{freetype_version}
BuildRequires: expat-devel
BuildRequires: autoconf2.5 >= 2.54

%description
Fontconfig is designed to locate fonts within the
system and select them according to requirements specified by 
applications.

%package -n %{lib_name}
Summary: Font configuration and customization library
Group: System/Libraries
Requires: %{name} >= %{version}-%{release}
Provides: lib%{name} = %{version}-%{release}
Provides: %{name}-libs = %{version}-%{release}

%description -n %{lib_name}
Fontconfig is designed to locate fonts within the
system and select them according to requirements specified by 
applications.

%package -n %{lib_name}-devel
Summary: Font configuration and customization library
Group: Development/C
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Requires: %{name} = %{version}-%{release}
Requires: %{lib_name} = %{version}-%{release}
Requires: freetype2-devel >= %{freetype_version}
Requires: expat-devel

%description -n %{lib_name}-devel
The fontconfig-devel package includes the header files,
and developer docs for the fontconfig package.

Install fontconfig-devel if you want to develop programs which 
will use fontconfig.

%prep
%setup -q
%patch0 -p1 -b .libtool
%patch5 -p1 -b .blacklist
%patch7 -p1 -b .defaultconfig
#%patch12 -p1 -b .bad_cmap
%patch14 -p1 -b .includeconf
autoconf

%build
%configure2_5x --with-add-fonts="/usr/X11R6/lib/X11/fonts,/opt/ttfonts,/usr/share/yudit/fonts" 
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/fonts/conf.d
cp %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/fonts/conf.d


# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/fontconfig

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/fc-cache -f >/dev/null

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc README AUTHORS COPYING doc/fontconfig-user.html doc/fontconfig-user.txt
%{_bindir}/fc-match
%{_bindir}/fc-cache
%{_bindir}/fc-list
%dir %{_sysconfdir}/fonts
%dir %{_sysconfdir}/fonts/conf.d
%{_sysconfdir}/fonts/fonts.dtd
%config(noreplace) %{_sysconfdir}/fonts/*.conf
%config(noreplace) %{_sysconfdir}/fonts/conf.d/*.conf
%{_mandir}/man1/*
%{_mandir}/man5/*

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc doc/fontconfig-devel doc/fontconfig-devel.txt 
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_mandir}/man3/*

%changelog
* Wed Aug 17 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.3.2-5mdk
- built-in libtool fixes

* Fri Aug 12 2005 Frederic Crozat <fcrozat@mandriva.com> 2.3.2-4mdk
- fix prereq, it was incorrect
- reduce patch 7, remove patches 9, 10, 13, use several individual 
  configuration files in conf.d, suggestion from Funda Wang (Mdk bug #17237)
- add more aliases for Helvetica (Guiseppe)

* Wed Aug 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.3.2-3mdk
- Fix PreReq
     - Close ticket 17438

* Tue Aug 02 2005 Frederic Crozat <fcrozat@mandriva.com> 2.3.2-2mdk 
- Patch14 (CVS): don't include config files ending with .rpmnew/.rpmsave

* Thu Apr 28 2005 Frederic Crozat <fcrozat@mandriva.com> 2.3.2-1mdk
- New release 2.3.2
- regenerate patch 7

* Mon Mar 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.1-2mdk 
- Really update patch 8

* Thu Mar 10 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.1-1mdk 
- Release 2.3.1
- Update patch8 (fix Mdk bug 13357)

* Wed Mar 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.0-1mdk 
- Release 2.3.0
- Regenerate patch 8

* Wed Feb 16 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.99-3mdk 
- Update patch7 to fix default chinese fonts (Funda Wang) (Mdk bug #13357)

* Fri Feb 04 2005 Pablo Saratxaga <pablo@mandrakesoft.com> 2.2.99-2mdk>
- aliases for the new Han and tifinagh fonts

* Mon Jan 31 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.99-1mdk
- New release 2.2.99

* Wed Jan 12 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.98-2mdk 
- Update patch8 to no discard bitmap fonts

* Tue Jan 11 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.98-1mdk 
- Release 2.2.98
- Remove patches 3, 8, 11 (merged upstream)
- Regenerate patches 5, 7

* Wed Nov 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.96-8mdk
- patch 13: dejavu is vera compatible (vera+extra symbols)

* Fri Sep 24 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 2.2.96-7mdk
- fixed some of the aliases to mach new names (and comments about
  fonts coverage)
- disabled hinting for CJK fonts (UTUMI Hirosi patch)

* Thu Aug 10 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 2.2.96-6mdk
- fixed width of dual width monospace fonts (typically CJK fonts)
- improved language coverage detection

* Tue Aug 10 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 2.2.96-5mdk
- disactivated hinting for "Mukti Narrow" and "Likhan"
- inclusion of culmus.conf
- "Mitra Mono" (bengali monospace font) added to monospace aliases

* Thu Aug 05 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 2.2.96-4mdk
- Some more font aliases

* Tue Jul 27 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.2.96-3mdk
- add BuildRequires: lynx

* Thu Jul 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.96-2mdk
- Fix buildrequires

* Mon Jul 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.96-1mdk
- Release 2.2.96 
- Enable libtoolize

* Tue Jun 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.95-1mdk
- Release 2.2.95
- Remove patch10 (merged upstream)

* Thu May 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.94-1mdk
- Release 2.2.94
- Patch10 : fix build with latest freetype
- Fix recognition of some bitmap fonts (Mdk bug #9652)
- Remove patch6 (merged upstream)
- Regenerate patch7 and add more aliases for some known fonts (Fedora)
- Regenerate patch9

* Fri Apr 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.2-1mdk
- Release 2.2.2
- Remove patch10 (merged upstream)

* Wed Dec 17 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> - 2.2.1-7mdk
- Patch9: add patch to use URW fonts as preferred.
- Patch10: add patch for compiling with freetype 2.1.7.

* Wed Aug 20 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.1-6mdk
- Patch8: fix crash when HOME is not defined (bug #4518)

* Thu Aug 14 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.2.1-5mdk
- Add Provides: libfontconfig, fontconfig-libs

* Thu Aug  7 2003 Pixel <pixel@mandrakesoft.com> 2.2.1-4mdk
- rebuilding, since pablo forgot to upload libfontconfig :-/

* Wed Aug 06 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 2.2.1-3mdk
- Changed name of Urdu Nastaliq font

* Wed Jul 23 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 2.2.1-2mdk
- added some fonts to sans/serif/mono aliases
- put back the special rules to fix display with Raghindi (devanagari) font
  (hinting must be disabled, and antialias disabled at small sizes)

* Wed Jul  9 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.1-1mdk
- Release 2.2.1

* Wed May 14 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 2.2.0-3mdk
- added various indic fonts to sans/serif/mono aliases
- added special rules to fix display with Raghindi (devanagari) font
  (hinting must be disabled, and antialias disabled at small sizes) 

* Mon May 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.0-2mdk
- Rebuild to get the new devel dependencies

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.0-1mdk
- Release 2.2.0
- Make sure all X11 fonts are in default configuration.

* Thu Apr 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.1.94-1mdk
- Release 2.1.94
- Regenerate patches 3, 7
- Remove patches 4, 9, 10, 11, 12, 13, 14 (merged upstream)

* Tue Mar 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.1-9mdk
- Update patch 4 with FcConfigEnableHome backport

* Wed Mar 05 2003 Pablo Saratxaga <pablo@mandrakesoft.com> - 2.1-8mdk
- Changed default Tamil fonts; added "Code2000" at the end of
  aliases for "Sans".

* Thu Feb 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.1-7mdk
- Merge patch 8 in patch 7 : patches should not patch patched portion of files...
- Keith Packard is my hero : 
 - Patch14 (CVS): fix matching code (Mdk bug 812)

* Tue Feb 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.1-6mdk
- Patch9 (CVS): don't try to run fc-cache in dir without write access (CVS)
- Patch10 (CVS): Dont cache directorys until they've been scanned,avoids 
losing subdir contents, track dirs containing fonts.cache files referenced 
from ~/.fonts.cache file 
- Patch11 (CVS): fix crash in subpixel config load
- Patch12 (CVS): fix UTF-16 conversion
- Patch13 (CVS): speedup FcStrCmpIgnoreCase
- Update patch4 to first use $HOME and fallback using getpwuid

* Wed Jan 15 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 2.1-5mdk
- improved the default fontset aliases so it matches previous Xft1 setting

* Mon Jan 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1-4mdk
- Patch5 (rawhide): blacklist certain fonts freetype can't handle
- Patch6 (rawhide): support for slighthint is back
- Patch7 (rawhide): change order of default fonts 

* Wed Jan  8 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1-3mdk
- Update patch4 to fallback to $HOME if not info is available with getpwuid

* Fri Jan  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1-2mdk
- Patch4: don't use HOME variable to get homedir

* Thu Nov 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1-1mdk
- Release 2.1
- Remove patch2 (merged upstream)

* Tue Nov 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-5mdk
- Remove patches 0 & 1 (no longer needed with freetype2 2.1.3)
- Patch2: don't add build date in configuration file

* Wed Nov 6 2002 Stefan van der Eijk <stefan@eijk.nu> 2.0-4mdk
- BuildRequires: ed

* Wed Nov  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-3mdk
- Ensure main package is required by library package

* Mon Nov  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-2mdk
- Fix dependencies

* Mon Nov  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-1mdk
- Initial Mdk package (based on rawhide)
